TokenControllerQueryTokens Method |
POST /Token/QueryTokens
Gets a list of
TokenDefinitionData objects matching the specified criteria.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPostAttribute]
[ActionNameAttribute("QueryTokens")]
public IActionResult QueryTokens(
[FromBodyAttribute] GetTokensOptions options,
Guid? sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("QueryTokens")>
Public Function QueryTokens (
<FromBodyAttribute> options As GetTokensOptions,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPostAttribute]
[ActionNameAttribute(L"QueryTokens")]
IActionResult^ QueryTokens(
[FromBodyAttribute] GetTokensOptions^ options,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("QueryTokens")>]
member QueryTokens :
[<FromBodyAttribute>] options : GetTokensOptions *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- options
- Type: Dundas.BI.WebApi.ModelsGetTokensOptions
An object that carries all needed information about the tokens that need to be retrieved. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
IActionResult
A status code indicating success or failure.
If successful, a list of
TokenDefinitionData objects.
See Also